org.apache.jmeter.protocol.http.config.gui

## Class UrlConfigGui

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.apache.jmeter.protocol.http.config.gui.UrlConfigGui

- All Implemented Interfaces:
    ImageObserver, MenuContainer, Serializable, EventListener, Accessible, ChangeListener
  Direct Known Subclasses:
    GraphQLUrlConfigGui

      public class UrlConfigGui
      extends JPanel
      implements ChangeListener

  Basic URL / HTTP Request configuration:
  - host and port
  - connect and response timeouts
  - path, method, encoding, parameters
  - redirects and keepalive
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlConfigGui()` Constructor which is setup to show HTTP implementation, raw body pane and sampler fields.
    `UrlConfigGui(boolean showSamplerFields)` Constructor which is setup to show HTTP implementation and raw body pane.
    `UrlConfigGui(boolean showSamplerFields, boolean showRawBodyPane)`
    `UrlConfigGui(boolean showSamplerFields, boolean showRawBodyPane, boolean showFileUploadPane)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `configure(TestElement el)` Set the text, etc.
    `protected Arguments` | `createHTTPArgumentsTestElement()` Create a new `Arguments` instance associated with the specific GUI used in this component.
    `TestElement` | `createTestElement()`
    `protected JTabbedPane` | `getParameterPanel()`
    `protected Component` | `getPathPanel()` This method defines the Panel for: the HTTP path, Method and Content Encoding 'Follow Redirects', 'Use KeepAlive', and 'Use multipart for HTTP POST' elements.
    `protected UrlConfigDefaults` | `getUrlConfigDefaults()` Return the `UrlConfigDefaults` instance to be used when configuring the UI elements and default values.
    `protected JPanel` | `getWebServerPanel()` Create a panel containing the webserver (domain+port) and scheme.
    `void` | `modifyTestElement(TestElement element)` Save the GUI values in the sampler.
    `void` | `stateChanged(ChangeEvent e)`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlConfigGui

          public UrlConfigGui()

      Constructor which is setup to show HTTP implementation, raw body pane and sampler fields.

    - #### UrlConfigGui

          public UrlConfigGui(boolean showSamplerFields)

      Constructor which is setup to show HTTP implementation and raw body pane.
      Parameters:
        `showSamplerFields` - flag whether sampler fields should be shown.

    - #### UrlConfigGui

          public UrlConfigGui(boolean showSamplerFields,
                              boolean showRawBodyPane)

      Parameters:
        `showSamplerFields` - flag whether sampler fields should be shown
        `showRawBodyPane` - flag whether the raw body pane should be shown

    - #### UrlConfigGui

          public UrlConfigGui(boolean showSamplerFields,
                              boolean showRawBodyPane,
                              boolean showFileUploadPane)

      Parameters:
        `showSamplerFields` - flag whether sampler fields should be shown
        `showRawBodyPane` - flag whether the raw body pane should be shown
        `showFileUploadPane` - flag whether the file upload pane should be shown

  - ### Method Detail

    - #### clear

          public void clear()

    - #### createTestElement

          public TestElement createTestElement()

    - #### modifyTestElement

          public void modifyTestElement(TestElement element)

      Save the GUI values in the sampler.
      Parameters:
        `element` - `TestElement` to modify

    - #### configure

          public void configure(TestElement el)

      Set the text, etc. in the UI.
      Parameters:
        `el` - contains the data to be displayed

    - #### getWebServerPanel

          protected final JPanel getWebServerPanel()

      Create a panel containing the webserver (domain+port) and scheme.
      Returns:
        the panel

    - #### getUrlConfigDefaults

          protected UrlConfigDefaults getUrlConfigDefaults()

      Return the `UrlConfigDefaults` instance to be used when configuring the UI elements and default values.
      Returns:
        the `UrlConfigDefaults` instance to be used when configuring the UI elements and default values

    - #### getPathPanel

          protected Component getPathPanel()

      This method defines the Panel for: the HTTP path, Method and Content Encoding 'Follow Redirects', 'Use KeepAlive', and 'Use multipart for HTTP POST' elements.
      Returns:
        JPanel The Panel for the path, 'Follow Redirects' and 'Use KeepAlive' elements.

    - #### getParameterPanel

          protected JTabbedPane getParameterPanel()

    - #### createHTTPArgumentsTestElement

          protected Arguments createHTTPArgumentsTestElement()

      Create a new `Arguments` instance associated with the specific GUI used in this component.
      Returns:
        a new `Arguments` instance associated with the specific GUI used in this component

    - #### stateChanged

          public void stateChanged(ChangeEvent e)

      Specified by:
        `stateChanged` in interface `ChangeListener`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.